org.gradle.api.plugins

## Class JavaBasePlugin

- java.lang.Object
- - org.gradle.api.plugins.JavaBasePlugin

- All Implemented Interfaces:
    Plugin<org.gradle.api.internal.project.ProjectInternal>

      public class JavaBasePlugin
      extends Object
      implements Plugin<org.gradle.api.internal.project.ProjectInternal>

  A `Plugin` which compiles and tests Java source, and assembles it into a JAR file.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `BUILD_DEPENDENTS_TASK_NAME`
    `static String` | `BUILD_NEEDED_TASK_NAME`
    `static String` | `BUILD_TASK_NAME`
    `static String` | `CHECK_TASK_NAME`
    `static String` | `DOCUMENTATION_GROUP`
    `static String` | `VERIFICATION_GROUP`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JavaBasePlugin(org.gradle.internal.reflect.Instantiator instantiator, JavaToolChain javaToolChain, org.gradle.api.internal.project.taskfactory.ITaskFactory taskFactory, org.gradle.model.internal.registry.ModelRegistry modelRegistry, ObjectFactory objectFactory)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `apply(org.gradle.api.internal.project.ProjectInternal project)` Apply this plugin to the given target object.
    `void` | `configureForSourceSet(SourceSet sourceSet, AbstractCompile compile)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CHECK_TASK_NAME

          public static final String CHECK_TASK_NAME

      See Also:
        Constant Field Values

    - #### VERIFICATION_GROUP

          public static final String VERIFICATION_GROUP

      See Also:
        Constant Field Values

    - #### BUILD_TASK_NAME

          public static final String BUILD_TASK_NAME

      See Also:
        Constant Field Values

    - #### BUILD_DEPENDENTS_TASK_NAME

          public static final String BUILD_DEPENDENTS_TASK_NAME

      See Also:
        Constant Field Values

    - #### BUILD_NEEDED_TASK_NAME

          public static final String BUILD_NEEDED_TASK_NAME

      See Also:
        Constant Field Values

    - #### DOCUMENTATION_GROUP

          public static final String DOCUMENTATION_GROUP

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JavaBasePlugin

          @Inject
          public JavaBasePlugin(org.gradle.internal.reflect.Instantiator instantiator,
                                        JavaToolChain javaToolChain,
                                        org.gradle.api.internal.project.taskfactory.ITaskFactory taskFactory,
                                        org.gradle.model.internal.registry.ModelRegistry modelRegistry,
                                        ObjectFactory objectFactory)

  - ### Method Detail

    - #### apply

          public void apply(org.gradle.api.internal.project.ProjectInternal project)

      Description copied from interface: `Plugin`
      Apply this plugin to the given target object.
      Specified by:
        `apply` in interface `Plugin<org.gradle.api.internal.project.ProjectInternal>`
      Parameters:
        `project` - The target object

    - #### configureForSourceSet

          @Deprecated
          public void configureForSourceSet(SourceSet sourceSet,
                                                        AbstractCompile compile)

      Deprecated.